<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC >
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<title translate="yes" data-res="EMLCONVER.TITLE"></title>
	<script type="text/javascript">
		document.write("<link rel='stylesheet' type='text/css' href='" + opener.m_strTheme + "' />");
	</script>
	<script type="text/javascript" src="../../js/jquery/jquery-1.11.1.min.js"></script>		
	<!--MqRelPath--><script type="text/javascript" src="../../js/window.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/window.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/cmqstring.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqstring.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/tmplemaillistshared.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/tmplemaillistshared.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/cmqsysmsg.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsysmsg.js"></script></MqAbsPath-->
		<script type="text/javascript">
			// always define this object for the system messages
			var objSysMsg = new CMqSysMsg;	
			var m_objMqButton=new MqButton();
			var objString = new CMqString();
			var m_arrSelectedEmails = new Array();
			var objRequest = opener.objRequest;
			var mstrCurrentLocation = opener.mstrCurrentLocation;
			var m_lngSelectedEmailID;
			var m_lngSelectedEmailsIndex = 0;
			var m_objRef = opener;
			var BUTTON_WIDTH=130;
			var m_blnAddIssueIDOnForward=true;
			
			var m_lngIssueID = g_MqRef.MqStr.GetQueryStringValue(location.search, "CIssueID");
			
			var m_lngCurrentPage = 1;
			var m_lngTotalPages = 1;
			var m_lngMessageIDToFind = -1;
			var m_lngCurrentSortColID = 5;
			var m_strCurrentSortDirection = "D";
			var m_strCommandLine = parent.location.search;
			var m_strSearchQuery = "";

			// Load the localization file within the view
			g_MqRef.ResMgr.LoadViewRes("/" + m_objRef.parent.mstrCurrentVDName + "/" + m_objRef.parent.mstrCurrentViewFolder);

			var MSG_CONFIRM_DELETE_EMAIL =g_MqRef.RESX["EML.MSG_CONFIRM_DELETE"];
			var MSG_CONFIRM_DELETE_X_EMAILS = g_MqRef.RESX["EML.MSG_CONFIRM_DELETE_X_EMAILS"];
			var MSG_CONFIRM_CREATE_ISSUE = 	g_MqRef.RESX["EML.MSG_CONFIRM_CREATE_ISSUE"];
			var MSG_ISSUE_NUM_X_CREATED = g_MqRef.RESX["EML.MSG_ISSUE_NUM_X_CREATED"];
			var MSG_CONFIRM_BACKTOQUEUE = g_MqRef.RESX["EML.MSG_CONFIRM_BACKTOQUEUE"]; 
			
			var SORT_COL_ID = 1;
			var SORT_ORDER = 0;
			var DELIM_SEMI_COLON = ";";
			var FRAME_PREVIEW_PANE = "fraPreviewPane";
			var FRAME_EMAIL_LIST = "fraEmails";
			var IFRAME_EMAIL_CONV = "ifrEmailConversation";
			var NO_EMAIL_SELECTED = 0;
			
			var BTN_NAME_REFRESH = "Refresh";
			var BTN_NAME_COMPOSE_NEW = "ComposeNew";
			var BTN_NAME_REPLY = "Reply";
			var BTN_NAME_REPLY_ALL = "ReplyAll";
			var BTN_NAME_FORWARD = "Forward";
			var BTN_NAME_DELETE = "Delete";
			var BTN_NAME_BACK_TO_QUEUE = "BackToQueue";
			var BTN_NAME_LINK_TO_ISSUE = "LinkToIssue";
			var BTN_NAME_CREATE_ISSUE = "CreateIssue";
				
			m_lngMessageIDToFind = GetMessageIDToFind();
			
			var m_lngMessageIDToFind = GetMessageIDToFind();			
			
			if(m_lngMessageIDToFind < NO_EMAIL_SELECTED){
				m_lngMessageIDToFind = NO_EMAIL_SELECTED;
			}
			
			SetSelectedEmailID(m_lngMessageIDToFind);
			
			function GetFrameHTML()
			{
				var strExtraCSS = "";
				var strHeight = "450px";
				
				if(g_MqRef.MqBrowser.nn){
					strExtraCSS = "";
					strHeight = "100%";
				}
				var strHTML='<iframe  name="ifrEmailConversation" id="ifrEmailConversation"' +
										' style="width:100%;height:' + strHeight + ";" + strExtraCSS +';border: #A9B4C4 1px solid;" ' +
										' frameborder="0" marginheight="0" marginwidth="0" scrolling="no" src="' + GetFrameSRC() + '"></iframe>';
				return strHTML;
			}
		
		function GetFrameSRC()
		{
			return "TmplEmailConversationFrame.htm";	
		}
		
		function GetEmailListIFrameSRC(strParam)
		{
			var strSelectedEmailID = GetSelectedEmailID();
			var strPagingQS = "";
			var strEmailQS = "";
			var arrParam;

			if(strParam == null){
				strParam = "";
			}
			
			//if we have an e-mail to auto-select...
			if(strSelectedEmailID != null && strSelectedEmailID > 0){
				//if the user is moving across(valid) pages, we obviously don't want to select an e-mail for them.
				if(strParam == "" || strParam == "PN=-1"){
					strEmailQS = "&EID=" + strSelectedEmailID;
				}
			//if we don't have an e-mail to select...
			}else{
				//if the page string is empty... we make them appear on the current page.
				if(strParam == ""){
					strParam = "PN=" + m_lngCurrentPage;
				}
			}
			
			if(strParam){
				if(strParam == "PN=-1"){
					strParam = "PN=1";
				}
				
				strPagingQS = "&" + strParam;
			}
			
			m_lngMessageIDToFind = strSelectedEmailID;
			
			return "WCMailInt.asp?WCI=wciGetMailConversation&IssueID=" +  m_lngIssueID + "&SC=" + m_lngCurrentSortColID + "&SO=" + m_strCurrentSortDirection + strEmailQS + strPagingQS + "&QS=" +g_MqRef.MqStr.MqEncodeURIComponent(m_strSearchQuery);	
		}
		
		function GetMessageIDToFind()
		{
			var lngAutoSelectEmailID;
			var lngReturn;
			lngAutoSelectEmailID = g_MqRef.MqStr.GetQueryStringValue(m_strCommandLine,"EID");
			if(lngAutoSelectEmailID != "" || lngAutoSelectEmailID != " "){
				lngReturn = lngAutoSelectEmailID;
			}else{
				lngReturn = -1;
			}
			return lngReturn;
		}
	
		function LoadEmailInPreviewPane()
		{
			var objPreviewPane = window.frames[IFRAME_EMAIL_CONV];
			var objPreviewPaneFrame;
			var strEmailID;
			
			if(objPreviewPane){
				if(objPreviewPane.window){
					if(objPreviewPane.window.frames[FRAME_PREVIEW_PANE]){
						objPreviewPaneFrame = objPreviewPane.window.frames[FRAME_PREVIEW_PANE];
					}
				}

				strEmailID = GetSelectedEmailID();
			
				if(strEmailID == null){
					strEmailID = 0;
				}

				if(objPreviewPaneFrame){
					if(objPreviewPaneFrame.m_lngEmailID != strEmailID){
						if(objPreviewPane.ChangeFrameSRC){
							if(objPreviewPaneFrame.m_lngEmailID != strEmailID){
								objPreviewPane.ChangeFrameSRC(FRAME_PREVIEW_PANE,GetPreviewIFrameSRC(true));
							}
						}
					}
				}
			}
		}
		
		function PrintPreviewPane()
		{
			var objEmailConvFrame = window.frames[IFRAME_EMAIL_CONV];
			if(objEmailConvFrame){
				if(objEmailConvFrame.PrintPreviewPane){
					objEmailConvFrame.PrintPreviewPane();
				}
			}
		}

		function OpenEmailEditor(lngEmailID, lngType, strAttachFolder)
		{

			var strTitle=g_MqRef.MqStr.MqEncodeURIComponent(g_MqRef.RESX["EML.TITLE"]);
			var strCaption=g_MqRef.MqStr.MqEncodeURIComponent(g_MqRef.RESX["EML.DLG_CAPTION"]);

			var blnAddTag="1";
			
			if(strAttachFolder){
				strAttachFolder = g_MqRef.MqStr.MqEncodeURIComponent(strAttachFolder);
			}else{
				strAttachFolder="";
			}	
			
			if(lngType <= 0){
				OpenChildWindow("../../HTML/EmailEditor/WCMqEmailEditor.ASP?WCI=wciEmailContentEditor&Fld=txtHiddenEmailSrc_Conversation&Mode=438276&Type=3&Title=" +
											strTitle + "&Caption=&IssueID=" +  m_lngIssueID + "&MT=0&Macro=3", "EmailTemplate",
											"toolbar=no,directories=no,resizable=yes,scrollbars=yes,width=1000,height=700", true, 1000, 700);
			}
			else{
				GetEmailContents(lngType);

				if(lngType==4 && !m_blnAddIssueIDOnForward){
					blnAddTag="0";
				}

				OpenChildWindow("../../HTML/EmailEditor/WCMqEmailEditor.ASP?WCI=wciEmailContentEditor&Tag=" + blnAddTag + "&Fld=txtHiddenEmailSrc_Conversation&Mode=438276&Type=3&Title=" +
											strTitle + "&Caption=&IssueID=" +  m_lngIssueID + "&MT=" + lngType + "&Macro=3&AttachID=" + strAttachFolder, "EmailTemplate", 
											"toolbar=no,directories=no,resizable=yes,scrollbars=yes,width=1000,height=700", true, 1000, 700);
 
			}

		}
		
		function GetEmailContents(lngType)
		{
			var lngEmailID = GetSelectedEmailID();
			var objConversationTextbox = document.getElementById("txtHiddenEmailSrc_Conversation");
			var strMsg;

			var co = objRequest.Get(mstrCurrentLocation + "../../HTML/EmailEditor/WCMqEmailEditor.ASP?WCI=wciGetEmailContentsToDisplay&UserTmpl=1&Src=0&MT=" + lngType + "&EID=" + lngEmailID + "&CIssueID=" + m_lngIssueID);
			if (co!=objRequest.CANCEL_PROCESS){
				
				var objResponse=objRequest.Response(co);
					
				if (objResponse){
					if (objResponse.HasErrors()){
						objResponse.ProcessErrors("",true,window);
					}else{
						var objConversationTextbox = document.getElementById("txtHiddenEmailSrc_Conversation");
						
						if(objConversationTextbox){
							objConversationTextbox.value = co;
						}
					}
				}
			}
		}
	
		function BackToQueue()
		{
			var lngEmailID = GetSelectedEmailID();
			var strMsg;
		
			if(lngEmailID>0){				
				strMsg=MSG_CONFIRM_BACKTOQUEUE;
				
				if(window.confirm(strMsg)){
						
					var co = objRequest.Get(mstrCurrentLocation + "WCMailInt.ASP?WCI=wciBackToQueue&EID=" + lngEmailID + "&CIssueID=" + m_lngIssueID);
					if (co!=objRequest.CANCEL_PROCESS){
							
						var objResponse=objRequest.Response(co);
							
						if (objResponse){
							if (objResponse.HasErrors()){
								objResponse.ProcessErrors("",true,window);
								Refresh(true);
							}else{
								Initialize();
								SetSelectedEmailID(NO_EMAIL_SELECTED);
								Refresh(true);
							}
						}
					}
				}
			}
		}
		
		function Refresh(blnPreserveCurrentPage)
		{
			var strPageQS = "";
			if(m_strSearchQuery == null){
				m_strSearchQuery = "";
			}
			
			var objIFrame = document.getElementById(IFRAME_EMAIL_CONV);
			var objEmailConvFrame =window.frames[IFRAME_EMAIL_CONV];
			
			if(blnPreserveCurrentPage){
				strPageQS = "PN="+ (Number(m_lngCurrentPage));
			}
			
			RefreshEmailConversationFrame(GetEmailListIFrameSRC(strPageQS));
			
		}
		
		function RefreshEmailConversationFrame(strNewSrc){
			if(strNewSrc != "" && strNewSrc != null){
				var objEmailConvFrame =window.frames[IFRAME_EMAIL_CONV];
			
				if(objEmailConvFrame){
					if(objEmailConvFrame.ChangeFrameSRC){
						objEmailConvFrame.ChangeFrameSRC(FRAME_EMAIL_LIST, strNewSrc);
					}
				}
			}
		}
		
		function MoveFirst()
		{
			RefreshEmailConversationFrame(GetEmailListIFrameSRC("Pos=FirstRecord"));
			m_lngCurrentPage = 1;
		}

		function MoveLast()
		{
			RefreshEmailConversationFrame(GetEmailListIFrameSRC("Pos=LastRecord"));
			m_lngCurrentPage = m_lngTotalPages;
		}

		function MovePrev()
		{
			RefreshEmailConversationFrame(GetEmailListIFrameSRC("PN="+(Number(m_lngCurrentPage)-1)));
			m_lngCurrentPage--;
		}

		function MoveNext()
		{
			RefreshEmailConversationFrame(GetEmailListIFrameSRC("PN="+(Number(m_lngCurrentPage)+1)));
			m_lngCurrentPage++;
		}
		
		function HandleButtonStates(lngCurrentPage, lngPageCount)
		{
			var lngEmailID = GetSelectedEmailID();
		
			if (lngCurrentPage==1){ 
				m_objMqButton.DisableButton("FirstPage");	
				m_objMqButton.DisableButton("PreviousPage");	
			}else if(lngCurrentPage == -1){
				m_objMqButton.DisableButton("FirstPage");	
				m_objMqButton.DisableButton("NextPage");	
				m_objMqButton.DisableButton("PreviousPage");	
				m_objMqButton.DisableButton("LastPage");	
			}else{
				m_objMqButton.EnableButton("FirstPage");
				m_objMqButton.EnableButton("PreviousPage");
			}
			
			if (lngCurrentPage==m_lngTotalPages || m_lngTotalPages == 0) {
				m_objMqButton.DisableButton("LastPage");
				m_objMqButton.DisableButton("NextPage");	
			}else{
				m_objMqButton.EnableButton("LastPage");
				m_objMqButton.EnableButton("NextPage");
			}
		
			//always enabled
			m_objMqButton.EnableButton(BTN_NAME_REFRESH);
			m_objMqButton.EnableButton(BTN_NAME_COMPOSE_NEW);

			
			//several selected
			if(m_arrSelectedEmails.length>1){
				m_objMqButton.DisableButton(BTN_NAME_REPLY);
				m_objMqButton.DisableButton(BTN_NAME_REPLY_ALL);
				m_objMqButton.DisableButton(BTN_NAME_FORWARD);
				m_objMqButton.EnableButton(BTN_NAME_DELETE);
				m_objMqButton.DisableButton(BTN_NAME_BACK_TO_QUEUE);
				m_objMqButton.DisableButton(BTN_NAME_LINK_TO_ISSUE);
				m_objMqButton.DisableButton(BTN_NAME_CREATE_ISSUE);
				
			}else{
				//none selected
				if(m_arrSelectedEmails.length == 0){
					m_objMqButton.DisableButton(BTN_NAME_REPLY);
					m_objMqButton.DisableButton(BTN_NAME_REPLY_ALL);
					m_objMqButton.DisableButton(BTN_NAME_FORWARD);
					m_objMqButton.DisableButton(BTN_NAME_DELETE);
					m_objMqButton.DisableButton(BTN_NAME_BACK_TO_QUEUE);
					m_objMqButton.DisableButton(BTN_NAME_LINK_TO_ISSUE);
					m_objMqButton.DisableButton(BTN_NAME_CREATE_ISSUE);
					
				}else{
					//there is one selected
					m_objMqButton.EnableButton(BTN_NAME_REPLY);
					m_objMqButton.EnableButton(BTN_NAME_REPLY_ALL);
					m_objMqButton.EnableButton(BTN_NAME_FORWARD);
					m_objMqButton.EnableButton(BTN_NAME_DELETE);
					m_objMqButton.EnableButton(BTN_NAME_BACK_TO_QUEUE);
					m_objMqButton.EnableButton(BTN_NAME_LINK_TO_ISSUE);
					m_objMqButton.EnableButton(BTN_NAME_CREATE_ISSUE);					
				}
			}
		}
		
		function Initialize()
		{
			g_MqRef.ResMgr.ProcessAll(document);
			HandleButtonStates(m_lngCurrentPage, m_lngTotalPages);
			
			document.title = 	g_MqRef.RESX["EMLCONV.TITLE"] + " - ID #" + m_lngIssueID;
		}
		
		function OnGridLoad()
		{
			m_arrSelectedEmails = new Array();
			var objEmailListFrame = window.frames[IFRAME_EMAIL_CONV].window.frames[FRAME_EMAIL_LIST];

			if(objEmailListFrame){
				if(m_lngMessageIDToFind != null && m_lngMessageIDToFind != 0){
					//can't use scroll into view, it can potentially hide the header
					if(objEmailListFrame.DoSelectRow){
						objEmailListFrame.DoSelectRow(0, true,m_lngMessageIDToFind, 0, true, false);
						LoadEmailInPreviewPane();
					}
				}else{
					if(objEmailListFrame.SelectRow){
						objEmailListFrame.SelectRow(0);
						LoadEmailInPreviewPane();
					}
				}
				
				HandleButtonStates(m_lngCurrentPage, m_lngTotalPages);
			}
		}
		
		function OnGridResize()
		{
				var objEmailListFrame = window.frames[IFRAME_EMAIL_CONV].window.frames[FRAME_EMAIL_LIST];
				var strResizeBarPixels;
				
				if(objEmailListFrame){
				
					if (document.all){
					    if (objEmailListFrame.document.documentElement && objEmailListFrame.document.documentElement.offsetHeight){
							lngBodyHeight = objEmailListFrame.document.documentElement.offsetHeight;
						}else{
							lngBodyHeight = objEmailListFrame.document.body.offsetHeight;
						}
					}else{
					    lngBodyHeight = objEmailListFrame.window.innerHeight;
					}
				
					var objGridBody = objEmailListFrame.document.getElementById("bdyGrid");
					var objGridHeader = objEmailListFrame.document.getElementById("GridHeader");
					var objGridContents = objEmailListFrame.document.getElementById("GridContents");
					
					if(objGridBody && objGridHeader && objGridContents){
						var lngBodyHeight = objGridBody.clientHeight;
						var lngHeaderHeight = objGridHeader.offsetHeight;
						
						var lngGridContentsHeight = lngBodyHeight - lngHeaderHeight;
						objGridContents.style.height = (lngGridContentsHeight) + "px";
					}

				}
		}


		
		function SetListHeight()
		{
			if(!g_MqRef.MqBrowser.nn){
			   var intBodyHeight;
				var LST_HEIGHT=160;
			    if (document.all){
			        if (document.documentElement && document.documentElement.offsetHeight){
						intBodyHeight=document.documentElement.offsetHeight;
					}else{
						intBodyHeight=document.body.offsetHeight;
					}
			    }else{
			        intBodyHeight=window.innerHeight;
			    }
			    var strNewHeight=(intBodyHeight-LST_HEIGHT) + "px";
				var objEmailConvFrame = document.getElementById(IFRAME_EMAIL_CONV);
				if(objEmailConvFrame){
					if (intBodyHeight>LST_HEIGHT*2){
						objEmailConvFrame.style.height=strNewHeight;
					}	
				}
			}
		}		
		</script>

</head>
<body marginheight="0" marginwidth="0" topmargin="10" leftmargin="0" onload="Initialize();" onunload="OnUnload_Form()" class="ToolbarBody" onresize="SetListHeight();">

<table class="NormalText" style="width:99%;height:99%;margin:5px" border="0" cellpadding="2px">
	<tr>
		<td style="widt-h: 75%;" >
			<input id="QS" type="text" onmouseout="this.className='SrchFld';" onmouseover="this.className='SrchFld ControlHover';" class="SrchFld" 
			 s-tyle="width: 98%;" onkeypress="OnKeyPress_Search(event)" >      
		</td>
		<td  style="width: 10%;text-align: right" >
			<script type="text/javascript">
			m_objMqButton.WriteTextButtonHTML("Go", g_MqRef.RESX["SQE.SEARCH_FOR_LBL"], "Search(document.getElementById('QS').value);", "", 32, "padding-bottom:0px",
				g_MqRef.RESX["SQE.SEARCH_FOR_LBL"], BUTTON_WIDTH);
			</script>
		</td>
	</tr>
	<tr>
		<td width="90%" valign="top" rowspan="2">
			<div style="height:98%; width: 100%; margin-left:0px; margin-top:3px;padding:0px;" >
			 <script type="text/javascript">
				<!--
					document.write(GetFrameHTML());
				//-->
			</script>
			 </div>
		</td>
	<td rowspan="1" width="10%" valign="top">
		<script type="text/javascript">
		m_objMqButton.WriteTextButtonHTML("Refresh", g_MqRef.RESX["EML.REFRESH"], "Refresh(true);", "", 32, "", g_MqRef.RESX["EML.REFRESH"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("ComposeNew", g_MqRef.RESX["EML.NEW_EMAIL"], "Compose();", "", 32, "", g_MqRef.RESX["EML.NEW_EMAIL"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("Reply", g_MqRef.RESX["EML.REPLY"], "Reply();", "", 32, "", g_MqRef.RESX["EML.REPLY"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("ReplyAll", g_MqRef.RESX["EML.REPLY_ALL"], "ReplyAll();", "", 32, "", g_MqRef.RESX["EML.REPLY_ALL"], BUTTON_WIDTH);					
		m_objMqButton.WriteTextButtonHTML("Forward", g_MqRef.RESX["EML.FORWARD"], "Forward();", "", 32, "", g_MqRef.RESX["EML.FORWARD"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("Delete", g_MqRef.RESX["BUTTON.DELETE"], "DeleteEmail();", "", 32, "", g_MqRef.RESX["BUTTON.DELETE"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("BackToQueue", g_MqRef.RESX["EML.BACK_TO_QUEUE"], "BackToQueue();", "", 32, "", g_MqRef.RESX["EML.BACK_TO_QUEUE_TT"], BUTTON_WIDTH);		
		m_objMqButton.WriteTextButtonHTML("LinkToIssue", g_MqRef.RESX["EML.LINK_TO_RECORD"], "LinkToIssue(" + m_lngIssueID + ");", "", 32, "", g_MqRef.RESX["EML.LINK_TO_RECORD"], BUTTON_WIDTH);
		m_objMqButton.WriteTextButtonHTML("CreateIssue", g_MqRef.RESX["EML.CREATE_RECORD_FROM_EMAIL"], "CreateIssue(" + m_lngIssueID + ");", "", 32, "", g_MqRef.RESX["EML.CREATE_RECORD_FROM_EMAIL"], BUTTON_WIDTH);
		</script>		
		 </td>
	 </tr>
	<tr>
	<tr>
	<td colspan="3">
		<table cellpadding='0' cellspacing='0' border='0' align="center">
			<tr>
				<td align='center' width="30">
					<script type="text/javascript">m_objMqButton.WriteButtonHTML("FirstPage","MoveFirst();","MoveFirst",false,m_objMqButton.STATE_EN,"First Page");</script>
				</td>
				<td align='center' width="30">
					<script type="text/javascript">m_objMqButton.WriteButtonHTML("PreviousPage","MovePrev();","PageDown",false,m_objMqButton.STATE_EN,"Previous Page");</script>
				</td>
				<td>
					<div class='PageNavigation' id='PageCaption' style="padding-left:10px; padding-right:10px"></div>
				</td>
				<td align='center' width="30">
					<script type="text/javascript">m_objMqButton.WriteButtonHTML("NextPage","MoveNext();","PageUp",false,m_objMqButton.STATE_EN,"Next Page");</script>
				</td>
				<td align='center' width="30">
					<script type="text/javascript">m_objMqButton.WriteButtonHTML("LastPage","MoveLast();","MoveLast",false,m_objMqButton.STATE_EN,"Last Page");</script>
				</td>
			</tr>
		</table>
	</td>
	</tr>	
	
	<tr >
		<td colspan=3 valign="top" align=right height="30">
			<script type="text/javascript">
			m_objMqButton.WriteTextButtonHTML("Close", g_MqRef.RESX["BUTTON_CLOSE"], 'window.close();', "", 32, "", g_MqRef.RESX["BUTTON_CLOSE"], BUTTON_WIDTH);
			</script>
		</td>
	</tr>
</table>
<input type="hidden" id="txtHiddenEmailSrc_Conversation" />
</body>
</html>